fifo.h(3)

NAME
fifo.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_fifo * cc_fifo_new (void)
void cc_fifo_delete (cc_fifo *fifo)
void cc_fifo_assign (cc_fifo *fifo, void *ptr, uint32_t type)
void cc_fifo_retrieve (cc_fifo *fifo, void **ptr, uint32_t *type)
SbBool cc_fifo_try_retrieve (cc_fifo *fifo, void **ptr, uint32_t *type)
unsigned int cc_fifo_size (cc_fifo *fifo)
void cc_fifo_lock (cc_fifo *fifo)
void cc_fifo_unlock (cc_fifo *fifo)
SbBool cc_fifo_peek (cc_fifo *fifo, void **item, uint32_t *type)
SbBool cc_fifo_contains (cc_fifo *fifo, void *item)
SbBool cc_fifo_reclaim (cc_fifo *fifo, void *item)

Function Documentation

  cc_fifo * cc_fifo_new (void)
Constructs a new first-in, first-out queue.

  void cc_fifo_delete (cc_fifo * fifo)
Destroys the fifo first-in, first-out queue.

  void cc_fifo_assign (cc_fifo * fifo, void * ptr, uint32_t type)
Appends the ptr of type type to the end of the fifo first-in, first-out queue.

  void cc_fifo_retrieve (cc_fifo * fifo, void ** ptr, uint32_t * type)
Retrieves the first item from the fifo first-in, first-out queue.

  SbBool cc_fifo_try_retrieve (cc_fifo * fifo, void ** ptr, uint32_t * type)
Checks the fifo first-in, first-out queue to see if an item can be retrieved. If so the properties of the first available item are returned.

  unsigned int cc_fifo_size (cc_fifo * fifo)
Returns the number of elements in the fifo first-in, first-out queue.

  void cc_fifo_lock (cc_fifo * fifo)
Locks the fifo first-in, first-out queue.

  void cc_fifo_unlock (cc_fifo * fifo)
Unlocks the fifo first-in, first-out queue.

  SbBool cc_fifo_peek (cc_fifo * fifo, void ** item, uint32_t * type)
Returns the properties of the first item in the fifo first-in, first-out queue.

  SbBool cc_fifo_contains (cc_fifo * fifo, void * itemptr)
Checks if the fifo first-in, first-out queue contains the itemptr item.

  SbBool cc_fifo_reclaim (cc_fifo * fifo, void * itemptr)
Removes from the fifo first-in, first-out queue the itemptr item if present.

Author

Generated automatically by Doxygen for Coin from the source code.